<template>
  <div>
    <div class="row">
      <div class="col-md-6">
        <br>
        <br>
        <h4>Create new data</h4>
        <br>
        <!-- prevent form submit untuk reload halaman, kemudian memanggil function addData() -->
        <form @submit.prevent="addData()">
          <div class="form-group">
            <label>Nim</label>
            <input
              type="number"
              class="form-control"
              placeholder="Input NIM Mahasiswa"
              v-model="form.nim"
              required
            >
          </div>
          <div class="form-group">
            <label>Nama</label>
            <input
              type="textfield"
              class="form-control"
              placeholder="Input Nama Mahasiswa"
              v-model="form.nama"
              required
            >
          </div>
          <div class="form-group">
            <label>Jurusan</label>
            <input
              type="textfield"
              class="form-control"
              placeholder="Input jurusan"
              v-model="form.jurusan"
              required
            >
          </div>
          <div class="form-group">
            <label>Email</label>
            <input
              type="email"
              class="form-control"
              placeholder="example@blabla.com"
              v-model="form.email"
              required
            >
          </div>
          <button class="btn btn-primary">Submit</button>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data(){
    return{
      form:{
        nim: '',
        nama: '',
        urusan: '',
        email: ''
      }
    }
  },
  methods: {
    addData() {
      // post data ke api menggunakan axios
      axios
        .post("http://localhost:8000/api/mahasiswa", {
          nim: this.form.nim,
          nama: this.form.nama,
          jurusan: this.form.jurusan,
          email: this.form.email
        })
        .then(response => {
          // push router ke read data
          this.$router.push("/");
        });
    }
  }
};
</script>